Subject: Re: Proposed text for erratum on PRIORITY in RFC 7540

From: Martin Thomson <[email-masked]>
Date: Tue, 7 Feb 2017 14:57:01 +1100

On 25 January 2017 at 13:44, Scott Mitchell <[email-masked]> wrote:
> A PRIORITY frame references 2 streams, and if the "exclusive" bit
> is set the priority of other streams may also be altered.

An excellent point.  I hope that I captured it properly.

>> I think that the "first use of a new stream identifier" text is still
>> problematic, but I don't know how to deal with that without performing
>> more surgery.
>
> I would like to try to flush this out to get more clarify if possible. Based
> upon the previous clarification we know PRIORITY frames are excluded from
> consideration as "new stream identifier" in this context. Does this "new
> stream identifier" include the Promised Stream ID from PUSH_PROMISE frames?

The promised stream ID is use of a stream identifier.  The carve-out
for priority was imperfect, but it was intended as the only exception
to that "first use" rule.

(p.s., I hope that we manage a lot better with this in QUIC.)